summarylogtreecommitdiffstats
path: root/emms.install
diff options
context:
space:
mode:
authorStefan Husmann2015-06-09 00:24:46 +0200
committerStefan Husmann2015-06-09 00:24:46 +0200
commit120a7dced0cc63a6ef69a85880fb32ebd5b75113 (patch)
tree8bb910ed3dfd4cca5472ea0e62109df2ccc2e7f9 /emms.install
downloadaur-120a7dced0cc63a6ef69a85880fb32ebd5b75113.tar.gz
initial version
Diffstat (limited to 'emms.install')
-rw-r--r--emms.install25
1 files changed, 25 insertions, 0 deletions
diff --git a/emms.install b/emms.install
new file mode 100644
index 00000000000..6ec5bf9413a
--- /dev/null
+++ b/emms.install
@@ -0,0 +1,25 @@
+pre_install() {
+ cat << EOM
+# The package needs a directory ~/.emacs.d/emms at build time
+# and claims to save the history file in there. If you do not
+# trust, make a copy of that directory elsewhere.
+EOM
+}
+
+pre_update() {
+ pre_install
+}
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info /usr/share/info/emms.info.gz /usr/share/info/dir
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete /usr/share/info/emms.info.gz /usr/share/info/dir
+}